<?php

//Определение пола ребенка
//Версия под JohnCMS - FoulDancer
//10.09.2013
define('_IN_JOHNCMS', 1);
$headmod = 'boygirl';
$textl = 'Определение пола ребенка';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");
$year = abs(intval($_POST['year']));
$month = abs(intval($_POST['month']));
echo "<div class='phdr'>Определение пола ребенка</div>";
echo '<div class="gmenu">';
if($year !== 0 and $month !== 0)
{
	$age[18] = array('Д', 'М', 'Д', 'М', 'М', 'М', 'М', 'М', 'М', 'М', 'М', 'М');
	$age[19] = array('М', 'Д', 'М', 'Д', 'М', 'М', 'М', 'М', 'М', 'Д', 'М', 'Д');
	$age[20] = array('Д', 'М', 'Д', 'М', 'М', 'М', 'М', 'М', 'М', 'Д', 'М', 'М');
	$age[21] = array('М', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д');
	$age[22] = array('Д', 'М', 'М', 'Д', 'М', 'Д', 'Д', 'М', 'Д', 'Д', 'Д', 'Д');
	$age[23] = array('М', 'М', 'Д', 'М', 'М', 'Д', 'М', 'Д', 'М', 'М', 'М', 'Д');
	$age[24] = array('М', 'Д', 'М', 'М', 'Д', 'М', 'М', 'Д', 'Д', 'Д', 'Д', 'Д');
	$age[25] = array('Д', 'М', 'М', 'Д', 'Д', 'М', 'Д', 'М', 'М', 'М', 'М', 'М');
	$age[26] = array('М', 'Д', 'М', 'Д', 'Д', 'М', 'Д', 'М', 'Д', 'Д', 'Д', 'Д');
	$age[27] = array('Д', 'М', 'Д', 'М', 'Д', 'Д', 'М', 'М', 'М', 'М', 'Д', 'М');
	$age[28] = array('М', 'Д', 'М', 'Д', 'Д', 'Д', 'М', 'М', 'М', 'М', 'Д', 'Д');
	$age[29] = array('Д', 'М', 'Д', 'Д', 'М', 'М', 'Д', 'Д', 'Д', 'М', 'М', 'М');
	$age[30] = array('М', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'М', 'М');
	$age[31] = array('М', 'Д', 'М', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'М');
	$age[32] = array('М', 'Д', 'М', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'М');
	$age[33] = array('Д', 'М', 'Д', 'М', 'Д', 'Д', 'Д', 'М', 'Д', 'Д', 'Д', 'М');
	$age[34] = array('Д', 'Д', 'М', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'Д', 'М', 'М');
	$age[35] = array('М', 'М', 'Д', 'М', 'Д', 'Д', 'Д', 'М', 'Д', 'Д', 'М', 'М');
	$age[36] = array('Д', 'М', 'М', 'Д', 'М', 'Д', 'Д', 'Д', 'М', 'М', 'М', 'М');
	$age[37] = array('М', 'Д', 'М', 'М', 'Д', 'М', 'Д', 'М', 'Д', 'М', 'Д', 'М');
	$age[38] = array('Д', 'М', 'Д', 'М', 'М', 'Д', 'М', 'Д', 'М', 'Д', 'М', 'Д');
	$age[39] = array('М', 'Д', 'М', 'М', 'М', 'Д', 'Д', 'М', 'Д', 'Д', 'Д', 'Д');
	$age[40] = array('Д', 'М', 'Д', 'М', 'Д', 'М', 'М', 'Д', 'М', 'Д', 'М', 'Д');
	$age[41] = array('М', 'Д', 'М', 'Д', 'М', 'Д', 'М', 'М', 'Д', 'М', 'Д', 'М');
	$age[42] = array('Д', 'М', 'Д', 'М', 'Д', 'М', 'Д', 'М', 'М', 'Д', 'М', 'Д');
	$age[43] = array('М', 'Д', 'М', 'Д', 'М', 'Д', 'М', 'Д', 'М', 'М', 'М', 'М');
	$age[44] = array('М', 'М', 'Д', 'М', 'М', 'М', 'Д', 'М', 'Д', 'М', 'Д', 'Д');
	$age[45] = array('Д', 'М', 'М', 'Д', 'Д', 'Д', 'М', 'Д', 'М', 'Д', 'М', 'М');
	if($age[$year][$month-1] === "М")
	{
		echo '<img src="../img/boygirl/m.jpg"/>&nbsp;Поздравляю, у вас ожидается <b>мальчик</b>!<br/>Однако помните, что ни одна таблица или методика не гарантирует 100% результата. :)</div><div class="gmenu">';
	}
	else
	{
		echo '<img src="../img/boygirl/d.jpg"/>&nbsp;Поздравляю, у вас ожидается <b>девочка</b>!<br/>Однако помните, что ни одна таблица или методика не гарантирует 100% результата. :)</div><div class="gmenu">';
	}
}
echo 'Запилнив формы, расположенные ниже, вы можете определить пол своего будущего ребенка.<br/>Говорят, что этому китайскому календарю уже более 700 лет. А оригинал его хранится в Институте Наук в Пекине.<br/>Все что для это необходимо — это знать точный месяц зачатия ребенка ( в этом и заключается основная проблема).<br/>';
echo '<form action="?act=add" method="post"><div class="gmenu"><select name="year" value="year">';
for($i = 18; $i <= 45; $i++)
{
	echo '<option value="'.$i.'">'.$i.'</option>';
}
echo '</select><select name="month" value="month">
<option value="01">январь</option>
<option value="02">февраль</option>
<option value="03">март</option>
<option value="04">апрель</option>
<option value="05">май</option>
<option value="06">июнь</option>
<option value="07">июль</option>
<option value="08">август</option>
<option value="09">сентябрь</option>
<option value="10">октябрь</option>
<option value="11">ноябрь</option>
<option value="12">декабрь</option>
</select><input type = "submit" name = "submit" value = "Далее"/></div></form>';
echo '</div><div class="menu"><a href="../?act=divination">Назад</a><br />';
echo '<a href="../?">В раздел</a></div>';
require_once ('../../incfiles/end.php');

?>